Bug 809404 - [abrt] soundconverter-1.5.4-13.fc16: soundconverter:1001:play:AttributeError: TagReader instance has no attribute 'command'
[abrt] soundconverter-1.5.4-13.fc16: soundconverter:1001:play:AttributeError:...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: soundconverter (Show other bugs)
16
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
abrt_hash:9417b13d563258d09be2016d8b9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 05:36 EDT by Germano Massullo
Modified: 2012-05-12 21:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: soundconverter-1.5.4-15.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-12 21:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Germano Massullo 2012-04-03 05:36:40 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python -tt /usr/bin/soundconverter
comment:        I was converting a 3ga audio file, then soundconverter asked for additional codecs, I installed them and I got this error
executable:     /usr/bin/soundconverter
kernel:         3.3.0-4.fc16.i686
reason:         soundconverter:1001:play:AttributeError: TagReader instance has no attribute 'command'
time:           mar 03 apr 2012 11:35:05 CEST
uid:            500
username:       caterpillar

backtrace:
:soundconverter:1001:play:AttributeError: TagReader instance has no attribute 'command'
:
:Traceback (most recent call last):
:  File "/usr/bin/soundconverter", line 952, in install_plugin_cb
:    self.play()
:  File "/usr/bin/soundconverter", line 1001, in play
:    command = ' ! '.join(self.command)
:AttributeError: TagReader instance has no attribute 'command'
:
:Local variables in innermost frame:
:self: <__main__.TagReader instance at 0x91bb2ec>
Comment 1 Michael Schwendt 2012-04-03 09:02:26 EDT
Unfortunately, bug 756208 (gnome-packagekit) here crashes on Fedora 16 and 17 and makes it impossible to install missing GStreamer plugins like you've done it. Cannot test that.

It may be helpful to attach the terminal output from SoundConverter and a .3ga file. You may need to uninstall the gstreamer-plugin* package that has been installed previously to reproduce the crash.
Comment 2 Michael Schwendt 2012-04-03 15:34:38 EDT
Can reproduce on EL 6 with arbitrary file types (if decoder plugin package is not installed, of course).
Comment 3 Fedora Update System 2012-04-03 16:05:53 EDT
soundconverter-1.5.4-14.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/soundconverter-1.5.4-14.fc16
Comment 4 Fedora Update System 2012-04-12 07:28:00 EDT
Package soundconverter-1.5.4-14.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing soundconverter-1.5.4-14.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5739/soundconverter-1.5.4-14.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-04-25 23:25:02 EDT
Package soundconverter-1.5.4-15.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing soundconverter-1.5.4-15.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5739/soundconverter-1.5.4-15.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-05-12 21:58:54 EDT
soundconverter-1.5.4-15.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.